Update Document
curl --request PATCH \
--url https://api.amplify.xyz/v1/esign_documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Document Name",
"status": "draft",
"page_count": 1,
"page_no": 1,
"is_active": false,
"has_sign_order": false,
"is_fields_placed": true,
"config": {
"due_date": null,
"expiry_date": null,
"message": "Please sign",
"notify_emails": [],
"allow_download": true,
"attach_document": true,
"attach_document_cc": false
}
}
'import requests
url = "https://api.amplify.xyz/v1/esign_documents/{documentId}"
payload = {
"name": "Updated Document Name",
"status": "draft",
"page_count": 1,
"page_no": 1,
"is_active": False,
"has_sign_order": False,
"is_fields_placed": True,
"config": {
"due_date": None,
"expiry_date": None,
"message": "Please sign",
"notify_emails": [],
"allow_download": True,
"attach_document": True,
"attach_document_cc": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Document Name',
status: 'draft',
page_count: 1,
page_no: 1,
is_active: false,
has_sign_order: false,
is_fields_placed: true,
config: {
due_date: null,
expiry_date: null,
message: 'Please sign',
notify_emails: [],
allow_download: true,
attach_document: true,
attach_document_cc: false
}
})
};
fetch('https://api.amplify.xyz/v1/esign_documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Document operations
Update Document
Customer API v1 endpoint.
PATCH
/
v1
/
esign_documents
/
{documentId}
Update Document
Update Document. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200
Successful response. Response body was not included in the source collection.
